![Oracle Logo](https://raw.githubusercontent.com/oracle/dotnet-db-samples/master/images/oracle-nuget.png) 
# Oracle.ManagedDataAccess.Core 23.5.0
Release Notes for Oracle Data Provider for .NET Core NuGet Package

June 2024

Oracle Data Provider for .NET (ODP.NET) Core features optimized ADO.NET data access to the Oracle database for .NET (Core) runtime. ODP.NET allows developers to take advantage of advanced Oracle database functionality, including AI vectors, Real Application Clusters, Application Continuity, JSON Relational Duality, and Fast Connection Failover. 

This document provides information that supplements the [Oracle Data Provider for .NET (ODP.NET) documentation](https://docs.oracle.com/en/database/oracle/oracle-database/23/odpnt/index.html).

## Oracle .NET Links
* [Oracle .NET Home Page](https://www.oracle.com/database/technologies/appdev/dotnet.html)
* [GitHub - Sample Code](https://github.com/oracle/dotnet-db-samples)
* [ODP.NET Discussion Forum](https://forums.oracle.com/ords/apexds/domain/dev-community/category/odp-dot-net)
* [YouTube](https://www.youtube.com/user/OracleDOTNETTeam)
* [X (Twitter)](https://twitter.com/oracledotnet)
* [Email Newsletter Sign Up](https://go.oracle.com/LP=28277?elqCampaignId=124071&nsl=onetdev)

## New Features
* Oracle CURSOR type column values returned as OracleDataReader or OracleRefCursor objects
* Easy Connect Plus address list support
* Programmatic API for returning ODP.NET and application metadata, such as version number
* ODP.NET notification alert when bulk copy operation completes (OracleBulkCopyOptions.NotifyAllRowsProcessed)
* SuppressGetDecimalInvalidCastExeption for OracleConfiguration, UDTs, and parameters
* Support for Azure V2 Tokens (as long as UPN claim is configured/enabled)

## Bug Fixes since Oracle.ManagedDataAccess.Core 23.4.0
* Bug 36406403 - CACHE CERTIFICATES SELECTED USING CERTIFICATE THUMBPRINT ON WINDOWS
* Bug 36418346 - BULKCOPY : SUPPORT FOR ORACLEBULKCOPYOPTIONS.NOTIFYALLROWSPROCESSED TO NOTIFY APPLICATIONS WITH COUNT OF ALL ROWS COPIED


 Copyright (c) 2024, Oracle and/or its affiliates. 
